org.apache.tamaya.model.spi

## Interface ConfigDocumentationMBean

- All Known Implementing Classes:
    ConfigDocumentationBean

      public interface ConfigDocumentationMBean

  JMX Management bean for accessing current configuration information

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `findConfigurationModels(String namePattern)` Find the validations by checking the validation's name using the given regular expression.
    `String` | `findValidationModels(ModelType type, String namePattern)` Find the validations by checking the validation's name using the given regular expression.
    `String` | `getConfigurationModel()`
    `String` | `getConfigurationModel(ModelType type)`
    `String` | `validate(boolean showUndefined)` Validates the configuration for the given context.

- - ### Method Detail

    - #### validate

          String validate(boolean showUndefined)

      Validates the configuration for the given context.
      Parameters:
        `showUndefined` - allows filtering for undefined configuration elements.
      Returns:
        the validation results, never null.

    - #### getConfigurationModel

          String getConfigurationModel()

    - #### getConfigurationModel

          String getConfigurationModel(ModelType type)

    - #### findConfigurationModels

          String findConfigurationModels(String namePattern)

      Find the validations by checking the validation's name using the given regular expression.
      Parameters:
        `namePattern` - the regular expression to use, not null.
      Returns:
        the sections defined, never null.

    - #### findValidationModels

          String findValidationModels(ModelType type,
                                    String namePattern)

      Find the validations by checking the validation's name using the given regular expression.
      Parameters:
        `type` - the target ModelType, not null.
        `namePattern` - the regular expression to use, not null.
      Returns:
        the sections defined, never null.

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.